> ## Documentation Index
> Fetch the complete documentation index at: https://docs.killb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure a currency pair and payment method



## OpenAPI

````yaml https://killb.app/api/v2/open-api-json post /api/v2/customers/pairs/configure
openapi: 3.0.0
info:
  title: Tarantino V2 API
  description: Tarantino V2 REST API documentation
  version: 2.0.0
  contact: {}
servers:
  - url: https://sandbox.killb.app
    description: Sandbox
  - url: https://killb.app
    description: Production
security: []
tags: []
paths:
  /api/v2/customers/pairs/configure:
    post:
      tags:
        - Customer
      summary: Configure a currency pair and payment method
      operationId: CustomerController_configurePair
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigurePairDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurePairResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    ConfigurePairDto:
      type: object
      properties:
        fromCurrency:
          type: string
          enum:
            - USDT
            - USDC
            - MXN
            - COP
            - USD
          description: Source currency
          example: USDC
        cashInMethod:
          type: string
          enum:
            - PRE_FUND_POLYGON
            - PRE_FUND_TRON
            - PRE_FUND_SOLANA
            - POLYGON
            - SOLANA
            - ETHEREUM
            - TRON
            - PSE
            - SPEI
            - PRE_FUND
          description: Cash-in method
          example: PSE
        toCurrency:
          type: string
          enum:
            - COP
            - MXN
            - USDT
            - USDC
            - USD
            - CLP
            - PAB
            - DOP
            - BOB
            - GTQ
            - HNL
            - NIO
            - PYG
          description: Target currency
          example: COP
        cashOutMethod:
          type: string
          enum:
            - POLYGON
            - TRON
            - SOLANA
            - ETHEREUM
            - PSE
            - SPEI
            - ACH
            - ACH_BO
            - SPI_DO
            - ACH_PA
            - SPI_PY
            - ACH_NI
            - ACH_HN
            - ACH_GT
            - WIRE
            - SWIFT
          description: Cash-out method
          example: PSE
      required:
        - fromCurrency
        - cashInMethod
        - toCurrency
        - cashOutMethod
    ConfigurePairResponseDto:
      type: object
      properties:
        message:
          type: string
          example: Pair configured successfully
        pair:
          type: string
          example: USDC_COP
        method:
          type: string
          example: PSE
      required:
        - message
        - pair
        - method
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: string
          example: API_USER.0001
        arguments:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestArgument'
        message:
          example:
            - User not found
            - Account not found
          type: array
          items:
            type: string
        statusCode:
          type: string
          example: '400'
      required:
        - errorCode
        - arguments
        - message
        - statusCode
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: string
          example: '500'
        message:
          example:
            - Internal server error
          type: array
          items:
            type: string
      required:
        - statusCode
        - message
    BadRequestArgument:
      type: object
      properties:
        key:
          type: string
          example: email
        value:
          type: string
          example: invalid@email.com
      required:
        - key
        - value
  securitySchemes:
    jwt:
      flows:
        implicit:
          authorizationUrl: /auth/login
          scopes: {}
      type: oauth2
      x-google-issuer: INTERNAL_PRODUCTION
      x-google-audiences: TARANTINO_API
      x-google-jwks_uri: https://storage.googleapis.com/public_keys_jwk/public-prod.json

````